Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbw
Class SbwModule

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.VectorDataCollection
                  |
                  +--biouml.plugins.sbw.SbwModule

public class SbwModule
extends VectorDataCollection

Fields inherited from class ru.biosoft.access.VectorDataCollection
`INITIAL_SIZE`

Constructor Summary
`SbwModule(DataCollection parent, ModuleDescriptor descriptor)`

Method Summary
`void` | `close()`
`DataElement` | `getAt(int index)`
`Class` | `getDataElementType()`
`ModuleDescriptor` | `getModuleDescriptor()`
`Module` | `getModuleInstance()`
`List` | `getNameList()`
`int` | `getSize()`
`boolean` | `isMutable()`
`Iterator` | `iterator()`

Methods inherited from class ru.biosoft.access.VectorDataCollection
`put, toArray`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getDescription, getInfo, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### SbwModule

    public SbwModule(DataCollection parent, ModuleDescriptor descriptor)

Method Detail

### close

    public void close()
                throws java.lang.Exception

### getAt

    public DataElement getAt(int index)

### getDataElementType

    public Class getDataElementType()

### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()

### getModuleInstance

    public Module getModuleInstance()
                              throws java.lang.Exception

### getNameList

    public List getNameList()

### getSize

    public int getSize()

### isMutable

    public boolean isMutable()

### iterator

    public Iterator iterator()

Dependency Links

to Class biouml.plugins.sbw.SbwService

  link dependency

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM